ubuntu/+source/vim:ubuntu/warty-security

Last commit made on 2005-12-20
Get this branch:
git clone -b ubuntu/warty-security https://git.launchpad.net/ubuntu/+source/vim
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/warty-security
Repository:
lp:ubuntu/+source/vim

Recent commits

b08e031... by Martin Pitt on 2005-07-26

Import patches-unapplied version 1:6.3-025+1ubuntu2.3 to ubuntu/warty-security

Imported using git-ubuntu import.

Changelog parent: ee418f37425ff5d205b2a1534e7960aa9aee66e4

New changelog entries:
  * SECURITY UPDATE: Fix code execution.
  * Add debian/patches/06_modeline_codeexec.diff:
    - Do not execute code in glob() and expand() statements when we read them
      from a modeline.
    - Combined upstream patches 6.3.081 and 6.3.082.
    - References:
      http://www.guninski.com/where_do_you_want_billg_to_go_today_5.html
  * SECURITY UPDATE: fix insecure temporary files
  * Added patch 05_secure_tempfiles.diff: use mktemp instead of insecure $$
    construction to create temporary files in vimspell.sh and tcltags
  * References:
    CAN-2005-0069
    http://bugs.debian.org/289560
  * [SECURITY] Unusual characters in an option value may cause unexpected
               behavior, especially for a modeline (Ciaran McCreesh):
    - Add patch: 04_CAN-2004-1138.diff.
    (CAN-2004-1138)

ee418f3... by Jeff Waugh <email address hidden> on 2004-10-08

Import patches-unapplied version 1:6.3-025+1ubuntu2 to ubuntu/warty

Imported using git-ubuntu import.